Subject: bug#50017: closed (Re: [bug#50017] [PATCH] gnu: re2c: Update to 2.2.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 Aug 2021 17:33:02 +0000

Your bug report

#50017: [PATCH] gnu: re2c: Update to 2.2.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50017: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50017
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#50017] [PATCH] gnu: re2c: Update to 2.2.
From: Arun Isaac <[email-masked]>
To: Sergei Trofimovich <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Aug 2021 23:02:11 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Sergei,

Thanks for the patch! I have applied it on master after a few minor
changes.

> 2.2 version started using python as a test driver. Added it as a
> dependency to native inputs.
>
> 	* gnu/packages/re2c.scm (re2c): Update to 2.2. Added python as a
> 	native input dependency.
>
> Signed-off-by: Sergei Trofimovich <[email-masked]>

I simplified the commit message and moved the comment about python for
the test driver to the package definition itself. That way, it will be
more visible to someone reading the package definition.

>  ;;; GNU Guix --- Functional package management for GNU
> +;;; Copyright © 2021 Sergei Trofimovich <[email-masked]>
>  ;;; Copyright © 2017, 2020 Sergei Trofimovich <[email-masked]>

You have specified a new email ID <[email-masked]>. If you will not be
using the <[email-masked]> email ID, I do encourage you to submit a
patch updating occurrences of your older email ID.

Thanks again! :-)

Regards,
Arun

Subject: [PATCH] gnu: re2c: Update to 2.2.
From: Sergei Trofimovich <[email-masked]>
To: [email-masked]
Cc: Sergei Trofimovich <[email-masked]>
Date: Thu, 12 Aug 2021 00:35:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

2.2 version started using python as a test driver. Added it as a
dependency to native inputs.

	* gnu/packages/re2c.scm (re2c): Update to 2.2. Added python as a
	native input dependency.

Signed-off-by: Sergei Trofimovich <[email-masked]>
---
 gnu/packages/re2c.scm | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/re2c.scm b/gnu/packages/re2c.scm
index e13d15e97a..9bed166e56 100644
--- a/gnu/packages/re2c.scm
+++ b/gnu/packages/re2c.scm
@@ -1,4 +1,5 @@
 ;;; GNU Guix --- Functional package management for GNU
+;;; Copyright © 2021 Sergei Trofimovich <[email-masked]>
 ;;; Copyright © 2017, 2020 Sergei Trofimovich <[email-masked]>
 ;;; Copyright © 2018 Tobias Geerinckx-Rice <[email-masked]>
 ;;;
@@ -20,13 +21,14 @@
 (define-module (gnu packages re2c)
   #:use-module (guix licenses)
   #:use-module (guix packages)
+  #:use-module (gnu packages python)
   #:use-module (guix download)
   #:use-module (guix build-system gnu))
 
 (define-public re2c
   (package
     (name "re2c")
-    (version "2.1.1")
+    (version "2.2")
     (source (origin
              (method url-fetch)
              (uri (string-append "https://github.com/skvadrik/" name
@@ -34,9 +36,11 @@
                                  name "-" version ".tar.xz"))
              (sha256
               (base32
-               "1y0iwxpkdmw5fcqacs209ix49aasfy88hqmx3qa26m7xz9jf4vh3"))))
+               "1nkbv3bxz1kwwql1pdlnj3lxy5h2vsaif393ivb5b9d8610mxi0g"))))
     (build-system gnu-build-system)
     (home-page "https://re2c.org/")
+    (native-inputs
+       `(("python" ,python)))
     (synopsis "Lexer generator for C/C++")
     (description
      "@code{re2c} generates minimalistic hard-coded state machine (as opposed
-- 
2.32.0